raise Python 2.6 compatible exceptions

Bug #702990 reported by Micah Gersten on 2011-01-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Wireshark
Fix Released
Low
wireshark (Debian)
Fix Released
Unknown
wireshark (Ubuntu)
Undecided
Unassigned
Maverick
Low
Micah Gersten

Bug Description

Binary package hint: wireshark

REASON FOR SRU
This is the only change between 1.2.11-4 and 1.2.11-6 which were security updates, so if we can SRU this, we can continue to fakesync from squeeze for security support

---------------------------------------------------------------------------------------

From: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=585370

Hello,
One of the changes brought by Python 2.6 is the removal of string
exceptions, so they won't work in Python 2.6 (just a side note: they
were also buggy before, since they were not guaranteed to work
reliable even in <2.6); as an example:

$ python2.5 -c "raise 'eggs'"
-c:1: DeprecationWarning: raising a string exception is deprecated
Traceback (most recent call last):
  File "<string>", line 1, in <module>
eggs

$ python2.6 -c "raise 'eggs'"
Traceback (most recent call last):
  File "<string>", line 1, in <module>
TypeError: exceptions must be old-style classes or derived from BaseException, not str

Micah Gersten (micahg) wrote :

Need to find a test case, so assigning to me

Changed in wireshark (Ubuntu Maverick):
assignee: nobody → Micah Gersten (micahg)
importance: Undecided → Low
status: New → In Progress
Micah Gersten (micahg) wrote :

This is fixed in Natty in 1.4.2-3

Changed in wireshark (Ubuntu):
status: New → Fix Released
Changed in wireshark (Debian):
status: Unknown → Fix Released
Changed in wireshark:
importance: Unknown → Low
status: Unknown → Fix Released
Micah Gersten (micahg) wrote :

This is the diff between 1.2.11-4 and 1.2.11-5 minus the changelog

Jamie Strandboge (jdstrand) wrote :

Debian Squeeze now has 1.2.11-6. 1.2.11-6 has security fixes. Reviewing the 1.2.11-5 changes shows they should be safe. Once Micah tests 1.2.11-5 I'll do a security fake sync of 1.2.11-6 which will allow us to continue to do fake syncs for maverick throughout its lifetime.

Micah Gersten (micahg) wrote :

Did some basic usage testing of wireshark and noticed no regressions of functionality with the 1.2.11-5 package

Jamie Strandboge (jdstrand) wrote :

Thanks for testing Micah! Based on this feedback, I am going to push the fake sync (1.2.11-6) to maverick.

Jamie Strandboge (jdstrand) wrote :

Pushed 1.2.11-6build0.10.10.1 to maverick-security.

Changed in wireshark (Ubuntu Maverick):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.